<script setup>
defineProps({
    items: Array
})
</script>

<template>
    <div class="HomeSlider">
        <v-container class="pt-0 px-0" fluid>
            <v-carousel hide-delimiter-background cycle height="600">
                <template v-slot:next="{ props }">
                    <v-btn class="d-lg-block d-none" size="33" variant="outlined" color="white" @click="props.onClick">
                        <BootstrapIcon class="d-flex text-white" name="chevron-left" />
                    </v-btn>
                </template>
                <template v-slot:prev="{ props }">
                    <v-btn class="d-lg-block d-none" size="33" variant="outlined" color="white" @click="props.onClick">
                        <BootstrapIcon class="d-flex text-white" name="chevron-right" />
                    </v-btn>
                </template>
                <v-carousel-item cover class="v-window-item--active" v-for="(item, i) in items" :key="i">
                    <v-container fluid :class="`pa-0`">
                        <v-row>
                            <!-- <v-col cols="sm-7">
                                <h1>{{ item.title }}</h1>
                                <p>{{ item.description }}</p>
                            </v-col> -->
                            <v-col cols="sm-12">
                                <img class="ma-auto d-block" :src="item.featured_image">
                            </v-col>
                        </v-row>
                    </v-container>
                </v-carousel-item>
            </v-carousel>
        </v-container>
    </div>
</template>

<style lang="scss">
.HomeSlider {
    .v-carousel {
        height: 400px !important;
        img {
            width: 100%;
        }
    }

    .v-btn {
        border-radius: 50% !important;
    }

    .v-responsive__content {
        align-items: center;
        display: flex;
    }


    .v-carousel__controls {
        background-color: unset;

        .v-btn {
            width: 10px;
            height: 10px;
            background-color: white;
            margin: 5px;
        }

        .v-btn--active {
            .v-btn__overlay {
                display: none;
            }

            i {
                color: #122771;
            }
        }
    }

    h1 {
        font-weight: 700;
        font-size: 32px;
        line-height: 50px;
        text-align: right;
        margin-bottom: 27px;
        color: #181818;
    }

    p {
        font-weight: 700;
        font-size: 14px;
        line-height: 33px;
        text-align: right;
        color: #808080;
    }

    @media only screen and (max-width:768px) {
        .v-carousel {
            height: 290px !important;
        }

        h1 {
            font-size: 20px;
            line-height: 31px;
            margin-bottom: 12px;
        }

        p {
            font-size: 12px;
            line-height: 33px;
        }

    }

    @media only screen and (max-width:360px) {
        .v-carousel {
            height: 290px !important;

            img {
                width: 100%;
            }
        }

        h1 {
            font-size: 16px;
            line-height: 25px;
            text-align: center;
            margin-bottom: 8px;
        }

        p {
            font-size: 12px;
            line-height: 33px;
            text-align: center;
        }

        .v-window__controls {
            display: none;
        }
    }
}</style>